target_sources(app4mc.sim PRIVATE
        "${CMAKE_CURRENT_SOURCE_DIR}/Scheduler.cpp"           
        "${CMAKE_CURRENT_SOURCE_DIR}/SemaphoreImpl.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/Semaphore.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/SchedulerApi.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/PrioritySchedulerImpl.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/PriorityScheduler.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/RandomSchedulerImpl.cpp"
	"${CMAKE_CURRENT_SOURCE_DIR}/RandomScheduler.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/PriorityRoundRobinSchedulerImpl.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/PriorityRoundRobinScheduler.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/PosixRealtimeSchedulerImpl.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/PosixRealtimeScheduler.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/BudgetSchedulerImpl.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/BudgetScheduler.cpp"
        )